From 40931d74db8a987a4f5af939781313ef07492d94 Mon Sep 17 00:00:00 2001
From: tezike <eziket18@gmail.com>
Date: Apr 26 2021 16:06:53 +0000
Subject: [PATCH 1/6] init commit


---

diff --git a/.gitignore b/.gitignore
index 6760c2b..5af9659 100644
--- a/.gitignore
+++ b/.gitignore
@@ -3,6 +3,10 @@ __pycache__/
 *.py[cod]
 *$py.class
 
+data/
+images/
+cache/
+
 # Distribution / packaging
 .Python
 build/
diff --git a/create-all-time-userstats-csv.sh b/create-all-time-userstats-csv.sh
index d616ede..a6e034a 100755
--- a/create-all-time-userstats-csv.sh
+++ b/create-all-time-userstats-csv.sh
@@ -12,6 +12,6 @@ ENDWEEK=$(( ( $(date +'%s') - $(date -ud '2012-01-01 0:0:0' +'%s') )/60/60/24/7 
 
 python new-and-old-users-report.py --csvh $(( $STARTWEEK - 1 )) | tee data/contributor-count.csv
 for week in $(seq $STARTWEEK $ENDWEEK ); do
-  python new-and-old-users-report.py --csv $week | tee -a data/contributor-count.csv
+  python3 new-and-old-users-report.py --csv $week | tee -a data/contributor-count.csv
 done
 
diff --git a/get-weekly-user-stats.sh b/get-weekly-user-stats.sh
index 5efee40..0b52936 100755
--- a/get-weekly-user-stats.sh
+++ b/get-weekly-user-stats.sh
@@ -1,11 +1,11 @@
 #!/bin/sh
 
-until python weekly-user-activity.py org.fedoraproject.prod.irc.karma; do sleep 5; done
-until python weekly-user-activity.py org.fedoraproject.prod.git.receive; do sleep 5; done
-until python weekly-user-activity.py org.fedoraproject.prod.bodhi.update.comment; do sleep 5; done
-until python weekly-user-activity.py org.fedoraproject.prod.wiki.article.edit; do sleep 5; done
-until python weekly-user-activity.py org.fedoraproject.prod.infragit.receive; do sleep 5; done
-until python weekly-user-activity.py org.fedoraproject.prod.fedoratagger.rating.update; do sleep 5; done
-until python weekly-user-activity.py io.pagure.prod.pagure.git.receive; do sleep 5; done
-until python weekly-user-activity.py io.pagure.prod.pagure.issue.new; do sleep 5; done
-until python weekly-user-activity.py org.fedoraproject.prod.fedbadges.badge.award; do sleep 5; done
+until python3 weekly-user-activity.py org.fedoraproject.prod.irc.karma; do sleep 5; done
+until python3 weekly-user-activity.py org.fedoraproject.prod.git.receive; do sleep 5; done
+until python3 weekly-user-activity.py org.fedoraproject.prod.bodhi.update.comment; do sleep 5; done
+until python3 weekly-user-activity.py org.fedoraproject.prod.wiki.article.edit; do sleep 5; done
+until python3 weekly-user-activity.py org.fedoraproject.prod.infragit.receive; do sleep 5; done
+until python3 weekly-user-activity.py org.fedoraproject.prod.fedoratagger.rating.update; do sleep 5; done
+until python3 weekly-user-activity.py io.pagure.prod.pagure.git.receive; do sleep 5; done
+until python3 weekly-user-activity.py io.pagure.prod.pagure.issue.new; do sleep 5; done
+until python3 weekly-user-activity.py org.fedoraproject.prod.fedbadges.badge.award; do sleep 5; done

